%define major 0
%define libname %mklibname %{name} %{major}
%define devname %mklibname -d %{name}
%define gioname gio2.0

%define enable_gphoto2 1

%define Werror_cflags %nil

Summary:	Glib VFS library

Name:		gvfs
Version:	1.21.2
Release:	4
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.gnome.org/
Source0:	ftp://ftp.gnome.org:21/pub/GNOME/sources/gvfs/1.21/%{name}-%{version}.tar.xz
#gw from Ubuntu, fix music player detection
# https://bugs.freedesktop.org/show_bug.cgi?id=24500
Patch0:		gvfs-music-player-mimetype.patch

BuildRequires:	intltool
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
BuildRequires:	cdda-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(avahi-glib)
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(fuse)
BuildRequires:	pkgconfig(glib-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libmtp)
BuildRequires:	pkgconfig(gudev-1.0) >= 186
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libbluray)
BuildRequires:	pkgconfig(libsoup-gnome-2.4) >= 2.26.0
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(libcdio_paranoia)
BuildRequires:	pkgconfig(openobex)
BuildRequires:	pkgconfig(smbclient)
BuildRequires:	pkgconfig(udisks2)
BuildRequires:	pkgconfig(libsystemd-login)
BuildRequires:	pkgconfig(bluez) >= 4.0
%if %{enable_gphoto2}
BuildRequires:	pkgconfig(libgphoto2)
%endif
BuildRequires:	pkgconfig(libimobiledevice-1.0) >= 1.1.0
BuildRequires:	pkgconfig(libplist) >= 0.15

Requires(post,postun):	%{gioname} >= 2.23.4-2
Requires:	udisks2
Requires:	%{name}-mtp
Suggests:	%{name}-fuse
Suggests:	%{name}-smb
Suggests:	%{name}-archive
Suggests:	%{name}-iphone
%if %{enable_gphoto2}
Suggests:	%{name}-gphoto2
%endif
Conflicts:	%{libname} < 1.6.7-4
Conflicts:	%{name}-gphoto2 <= 1.13.2-2

%description
This is a Virtual File System library based on gio and Glib.

%files -f gvfs.lang
%{_datadir}/bash-completion/completions/gvfs
%{_bindir}/gvfs-*
%{_libdir}/gio/modules/libgioremote-volume-monitor.so
%{_libdir}/gio/modules/libgvfsdbus.so
%{_libexecdir}/gvfsd
%{_libexecdir}/gvfsd-afp
%{_libexecdir}/gvfsd-afp-browse
%{_libexecdir}/gvfsd-burn
%{_libexecdir}/gvfsd-cdda
%{_libexecdir}/gvfsd-computer
%{_libexecdir}/gvfsd-dav
%{_libexecdir}/gvfsd-dnssd
%{_libexecdir}/gvfsd-ftp
%{_libexecdir}/gvfsd-http
%{_libexecdir}/gvfsd-localtest
%{_libexecdir}/gvfsd-metadata
%{_libexecdir}/gvfsd-network
%{_libexecdir}/gvfsd-recent
%{_libexecdir}/gvfsd-sftp
%{_libexecdir}/gvfsd-trash
%{_libdir}/gvfs-udisks2-volume-monitor
%{_prefix}/lib/tmpfiles.d/gvfsd-fuse-tmpfiles.conf
%{_datadir}/dbus-1/services/gvfs-daemon.service
%{_datadir}/dbus-1/services/gvfs-metadata.service
%{_datadir}/dbus-1/services/org.gtk.Private.UDisks2VolumeMonitor.service
%dir %{_datadir}/gvfs
%dir %{_datadir}/gvfs/mounts
%dir %{_datadir}/gvfs/remote-volume-monitors
%{_datadir}/gvfs/mounts/afp-browse.mount
%{_datadir}/gvfs/mounts/afp.mount
%{_datadir}/gvfs/mounts/burn.mount
%{_datadir}/gvfs/mounts/cdda.mount
%{_datadir}/gvfs/mounts/computer.mount
%{_datadir}/gvfs/mounts/dav.mount
%{_datadir}/gvfs/mounts/dav+sd.mount
%{_datadir}/gvfs/mounts/dns-sd.mount
%{_datadir}/gvfs/mounts/ftp.mount
%{_datadir}/gvfs/mounts/http.mount
%{_datadir}/gvfs/mounts/localtest.mount
%{_datadir}/gvfs/mounts/network.mount
%{_datadir}/gvfs/mounts/recent.mount
%{_datadir}/gvfs/mounts/sftp.mount
%{_datadir}/gvfs/mounts/trash.mount
%{_datadir}/GConf/gsettings/gvfs-dns-sd.convert
%{_datadir}/glib-2.0/schemas/org.gnome.system.dns_sd.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.system.gvfs.enums.xml
%{_datadir}/gvfs/remote-volume-monitors/udisks2.monitor
%{_mandir}/man1/gvfs-*
%{_mandir}/man1/gvfsd.*
%{_mandir}/man1/gvfsd-metadata.*
%{_mandir}/man7/gvfs.*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Glib VFS library

Group:		System/Libraries

%description -n %{libname}
This is a Virtual File System library based on gio and Glib.

%files -n %{libname}
%{_libdir}/gvfs/libgvfs*.so

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Glib VFS Library - development files

Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This is a Virtual File System library based on gio and Glib.

%files -n %{devname}
%doc NEWS ChangeLog AUTHORS TODO
%{_includedir}/gvfs-client

#----------------------------------------------------------------------------

%package fuse
Summary:	FUSE support for gvfs

Group:		System/Libraries
Requires:	%{name} = %{EVRD}
Requires:	fuse

%description fuse
This package provides support for applications not using gio
to access the gvfs filesystems.

%files fuse
%{_libexecdir}/gvfsd-fuse
%{_mandir}/man1/gvfsd-fuse.*

#----------------------------------------------------------------------------

%package iphone
Summary:       Iphone support for gvfs

Group:         System/Libraries
Requires:      %{name} = %{EVRD}

%description iphone
This package provides support for reading and writing files on
the iPhone and the iPod TouchP to applications using gvfs.

%files iphone
%{_libexecdir}/gvfs-afc-volume-monitor
%{_libexecdir}/gvfsd-afc
%{_datadir}/dbus-1/services/org.gtk.Private.AfcVolumeMonitor.service
%{_datadir}/gvfs/mounts/afc.mount
%{_datadir}/gvfs/remote-volume-monitors/afc.monitor

#----------------------------------------------------------------------------

%package smb
Summary:	Windows fileshare support for gvfs

Group:		System/Libraries
Requires:	%{name} = %{EVRD}

%description smb
This package provides support for reading and writing files on windows
shares (smb) to applications using gvfs.

%files smb
%{_libexecdir}/gvfsd-smb
%{_libexecdir}/gvfsd-smb-browse
%{_datadir}/gvfs/mounts/smb-browse.mount
%{_datadir}/gvfs/mounts/smb.mount
%{_datadir}/GConf/gsettings/gvfs-smb.convert
%{_datadir}/glib-2.0/schemas/org.gnome.system.smb.gschema.xml

#----------------------------------------------------------------------------

%package mtp
Summary:	Support MTP media players

Group:		System/Libraries
Requires:	%{name} = %{EVRD}

%description mtp
This package provides support for reading and writing files on MTP
media players.

%files mtp
%{_libexecdir}/gvfs-mtp-volume-monitor
%{_libexecdir}/gvfsd-mtp
%{_datadir}/dbus-1/services/org.gtk.Private.MTPVolumeMonitor.service
%{_datadir}/gvfs/mounts/mtp.mount
%{_datadir}/gvfs/remote-volume-monitors/mtp.monitor

#----------------------------------------------------------------------------

%package archive
Summary:	Archiving support for gvfs

Group:		System/Libraries
Requires:	%{name} = %{EVRD}

%description archive
This package provides support for accessing files inside Zip and Tar archives,
as well as ISO images, to applications using gvfs.

%files archive
%{_libexecdir}/gvfsd-archive
%{_datadir}/gvfs/mounts/archive.mount

#----------------------------------------------------------------------------

%package obexftp
Summary:	ObexFTP support for gvfs

Group:		System/Libraries
Requires:	%{name} = %{EVRD}
Requires:	obex-data-server >= 0.3.4-6

%description obexftp
This package provides support for reading files on Bluetooth mobile phones
and devices through ObexFTP to applications using gvfs.

%files obexftp
%{_libexecdir}/gvfsd-obexftp
%{_datadir}/gvfs/mounts/obexftp.mount

#----------------------------------------------------------------------------

%if %{enable_gphoto2}
%package gphoto2
Summary:	Gphoto2 support for gvfs

Group:		System/Libraries
Requires:	%{name} = %{EVRD}

%description gphoto2
This package provides support for reading and writing files on
PTP based cameras (Picture Transfer Protocol) and MTP based
media players (Media Transfer Protocol) to applications using gvfs.

%files gphoto2
%{_libexecdir}/gvfsd-gphoto2
%{_datadir}/gvfs/mounts/gphoto2.mount
%{_libexecdir}/gvfs-gphoto2-volume-monitor
%{_datadir}/dbus-1/services/org.gtk.Private.GPhoto2VolumeMonitor.service
%{_datadir}/gvfs/remote-volume-monitors/gphoto2.monitor
%endif

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--with-dbus-service-dir=%{_datadir}/dbus-1/services \
	--disable-hal \
	--disable-gdu \
	--enable-udisks2 \
%if %{enable_gphoto2}
	--enable-gphoto2
%else
	--disable-gphoto2
%endif

%make

%install
%makeinstall_std
%find_lang gvfs

# upstream bash completion is installed in the wrong place, with the wrong perms
# and redefine system variables without notice
rm -f %{buildroot}%{_sysconfdir}/profile.d/gvfs-bash-completion.sh



%changelog
* Sat Jul 12 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.21.2-4
+ Revision: 7cae00f
- Bump release


